Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.query
Enum UnaryConditionalOperator

    java.lang.Object
      java.lang.Enum<UnaryConditionalOperator>
          org.apache.openjpa.persistence.query.UnaryConditionalOperator

All Implemented Interfaces:
  Serializable, Comparable<UnaryConditionalOperator>

    public enum UnaryConditionalOperator

extends Enum<UnaryConditionalOperator>

Enumeration of operator that operates on a single expression to generate a predicate.

Author:
  Pinaki Poddar
See Also:
  `UnaryOperatorExpression`

Enum Constant Summary
`EXISTS`
`EXISTS_NOT`
`ISEMPTY`
`ISEMPTY_NOT`
`ISNULL`
`ISNULL_NOT`
`SOME`

Method Summary
`String` | `toString()`
`static UnaryConditionalOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UnaryConditionalOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXISTS

    public static final UnaryConditionalOperator EXISTS

### EXISTS_NOT

    public static final UnaryConditionalOperator EXISTS_NOT

### ISEMPTY

    public static final UnaryConditionalOperator ISEMPTY

### ISEMPTY_NOT

    public static final UnaryConditionalOperator ISEMPTY_NOT

### ISNULL

    public static final UnaryConditionalOperator ISNULL

### ISNULL_NOT

    public static final UnaryConditionalOperator ISNULL_NOT

### SOME

    public static final UnaryConditionalOperator SOME

Method Detail

### values

    public static UnaryConditionalOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UnaryConditionalOperator c : UnaryConditionalOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UnaryConditionalOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<UnaryConditionalOperator>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.